Returns the font weight

- « ImagickDraw::getFontStyle

- ImagickDraw::getGravity »

- PHP Manual
- ImagickDraw
- Returns the font weight

# ImagickDraw::getFontWeight

(PECL imagick 2, PECL imagick 3)

ImagickDraw::getFontWeight — Returns the font weight

### Description

public ImagickDraw::getFontWeight(): int
Warning

This function is currently not documented; only its argument list is available.

Returns the font weight used when annotating with text.

### Return Values

Returns an int on success and 0 if no weight is set.